- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FCollada Namespace Reference

This namespace contains FCollada global functions and member variables. More...

## Functions
FCOLLADA_EXPORT unsigned long | GetVersion ()
| Retrieves the FCollada version number.
FCOLLADA_EXPORT void | Initialize ()
| Initializes the FCollada library.
FCOLLADA_EXPORT size_t | Release ()
| Releases the FCollada library.
FCOLLADA_EXPORT FCDocument * | NewTopDocument ()
| Creates a new top FCDocument object.
FCOLLADA_EXPORT FCDocument * | NewDocument ()
| Creates a new FCDocument object.
FCOLLADA_EXPORT size_t | GetTopDocumentCount ()
| Retrieves the number of top documents.
FCOLLADA_EXPORT FCDocument * | GetTopDocument (size_t index)
| Retrieves a top document.
FCOLLADA_EXPORT bool | IsTopDocument (FCDocument *document)
| Retrieves whether a document is a top document.
FCOLLADA_EXPORT void | GetAllDocuments (FCDocumentList &documents)
| Retrieves the list of all the document currently loaded by FCollada.
FCOLLADA_EXPORT bool | LoadDocumentFromFile (FCDocument *document, const fchar *filename)
| Load document.
bool | LoadDocument (FCDocument *document, const fchar *filename)
FCOLLADA_EXPORT FCDocument * | LoadDocument (const fchar *filename)
FCOLLADA_EXPORT bool | LoadDocumentFromMemory (const fchar *filename, FCDocument *document, void *data, size_t length)
| Load Document from memory address.
FCOLLADA_EXPORT bool | SaveDocument (FCDocument *document, const fchar *filename)
| Save document.
FCOLLADA_EXPORT bool | GetDereferenceFlag ()
| Retrieves the global dereferencing flag.
FCOLLADA_EXPORT void | SetDereferenceFlag (bool flag)
| Sets the global dereferencing flag.
FCOLLADA_EXPORT bool | RegisterPlugin (FUPlugin *plugin)
| Registers a new FUPlugin plug-in to the FColladaPluginManager.
FCOLLADA_EXPORT FColladaPluginManager * | GetPluginManager ()
| Retrieves the FCollada plug-ins manager.
FCOLLADA_EXPORT void | RunTests (FUTestBed &testBed)
| Runs the FCollada-specific automated tests and sets the results within the given test bed.
FCOLLADA_EXPORT void | SetCancelLoadingCallback (CancelLoadingCallback callback)
| Registers a callback function that will be called to check if we want to cancel the loading of the FCollada document.
FCOLLADA_EXPORT bool | CancelLoading ()
| Check if we should cancel the loading of the FCollada document.

## Detailed Description

This namespace contains FCollada global functions and member variables.

## Function Documentation

FCOLLADA_EXPORT bool FCollada::CancelLoading | ( |  | ) |

| Check if we should cancel the loading of the FCollada document. Returns: whether we should cancel the loading.

FCOLLADA_EXPORT void FCollada::GetAllDocuments | ( | FCDocumentList & | documents | ) |

  | Retrieves the list of all the document currently loaded by FCollada. Parameters:
  | documents | The list of documents to fill in. Thist list is cleared of all its content at the beginning of the function.

FCOLLADA_EXPORT bool FCollada::GetDereferenceFlag | ( |  | ) |

| Retrieves the global dereferencing flag. Setting this flag will force all the entity instance to automatically attempt to open the externally-referenced documents when needed. The default behavior is to always dereference when needed. Returns: Whether to automatically dereference the entity instances.

FCOLLADA_EXPORT FColladaPluginManager* FCollada::GetPluginManager | ( |  | ) |

| Retrieves the FCollada plug-ins manager. Returns: The plug-in manager.

FCOLLADA_EXPORT FCDocument* FCollada::GetTopDocument | ( | size_t | index | ) |

  | Retrieves a top document. Parameters:
  | index | The index of the top document.
Returns: The top document at the given index.

FCOLLADA_EXPORT size_t FCollada::GetTopDocumentCount | ( |  | ) |

| Retrieves the number of top documents. Returns: The number of top documents.

FCOLLADA_EXPORT unsigned long FCollada::GetVersion | ( |  | ) |

| Retrieves the FCollada version number. Used for DLL-versions of the FCollada library: verify that you have a compatible version of the FCollada library using this function. Returns: The FCollada version number.

FCOLLADA_EXPORT void FCollada::Initialize | ( |  | ) |

| Initializes the FCollada library. This call is necessary for static library versions of FCollada, as it initializes the plug-in structure. The initialization count is referenced counters, so you can safely call this function multiple times. You will need to call the FCollada::Release function as many times as it is initialized to correctly detach the plug-ins. In the DLL versions of FCollada, the DllMain function initializes the library.

FCOLLADA_EXPORT bool FCollada::IsTopDocument | ( | FCDocument * | document | ) |

  | Retrieves whether a document is a top document. Parameters:
  | document | The document to verify.
Returns: Whether the document is a top document.

FCOLLADA_EXPORT bool FCollada::LoadDocumentFromFile | ( | FCDocument * | document,
|  | const fchar * | filename
| ) |

  | Load document. Parameters:
  | filename | the string of the file to load from
Returns: the loaded FCDocument. NULL is returned if any error occurs.

FCOLLADA_EXPORT bool FCollada::LoadDocumentFromMemory | ( | const fchar * | filename,
|  | FCDocument * | document,
|  | void * | data,
|  | size_t | length
| ) |

  | Load Document from memory address. Parameters:
  | document | An empty document to load imported content into.
  | contents | The content to load into the document, in a format suitable to be read by this plugin.
  | length | The length of the content buffer.
Returns: true if the file is imported successfully.

FCOLLADA_EXPORT FCDocument* FCollada::NewDocument | ( |  | ) |

| Creates a new FCDocument object. Use this function to create an unmanaged FCDocument. Any documents created using this method must either be xreffed onto the scene or deleted manually using FUObject::Release Returns: A new document object.

FCOLLADA_EXPORT FCDocument* FCollada::NewTopDocument | ( |  | ) |

| Creates a new top FCDocument object. You must used this function to create your top-level FCDocument object if you use external references. Note: in order to safely delete a FCollada top document, you must call the document's Release() method. Otherwise, the top document object container won't be notified, and you could assert in FCollada::Release(). Returns: A new top document object.

FCOLLADA_EXPORT bool FCollada::RegisterPlugin | ( | FUPlugin * | plugin | ) |

  | Registers a new FUPlugin plug-in to the FColladaPluginManager. Deprecated: Use GetPluginManager()->AddPlugin() instead. Parameters:
  | plugin | The new plugin to register.

FCOLLADA_EXPORT size_t FCollada::Release | ( |  | ) |

| Releases the FCollada library. This call will detach the FCollada plug-ins and release all the top-level FCollada documents. This call is referenced counted and the number of initializations must match the number of releases. Only the last release will detach the plug-ins and release the top-level documents. In the DLL versions of FCollada, the DllMain function should do the last release of the library. Returns: The number of initialization calls left to release.

FCOLLADA_EXPORT void FCollada::RunTests | ( | FUTestBed & | testBed | ) |

  | Runs the FCollada-specific automated tests and sets the results within the given test bed. Parameters:
  | testBed | A test-bed against which the tests will be run.

FCOLLADA_EXPORT bool FCollada::SaveDocument | ( | FCDocument * | document,
|  | const fchar * | filename
| ) |

  | Save document. Parameters:
  | document | The FCollada document to be written on to the disk.
  | filename | the string of the file name to which the content is saved.
Returns: Whether the file is saved correctly.

FCOLLADA_EXPORT void FCollada::SetCancelLoadingCallback | ( | CancelLoadingCallback | callback | ) |

  | Registers a callback function that will be called to check if we want to cancel the loading of the FCollada document. Parameters:
  | callback | The callback functor that will tell us if we cancel or not

FCOLLADA_EXPORT void FCollada::SetDereferenceFlag | ( | bool | flag | ) |

  | Sets the global dereferencing flag. Setting this flag will force all the entity instance to automatically attempt to open the externally-referenced documents when needed. The default behavior is to always dereference when needed. Parameters:
  | flag | Whether to automatically dereference the entity instances.